Update the 3D Secure Code on the card associated with the customer reference and tracking number.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| customerReference | String | 1-20 characters | ✓ | Customer reference linked with this card |
| trackingNumber | String | 1-20 characters | ✓ | The tracking number of the card to set the code for |
| code | String | ✓ | The code to set the 3d Secure Code to | |
| transactionID | String | 1-255 characters | ✓ | A unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | 1-255 characters | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<methodCall>
<methodName>Set3dSecureCode</methodName>
<params>
<param>
<value>
<string>0042128722</string>
</value>
</param>
<param>
<value>
<string>Tutuka Test</string>
</value>
</param>
<param>
<value>
<string>687653400000962</string>
</value>
</param>
<param>
<value>
<string>26842</string>
</value>
</param>
<param>
<value>
<string>4857467</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20161024T16:09:03</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>D4A05BDD02C83BCE80AC32B11B83B98409A6C237</string>
</value>
</param>
</params>
</methodCall>
Response Parameters
| Field | type | Description |
|---|---|---|
| terminalID | String | Echo |
| customerReference | String | Echo |
| trackingNumber | String | Echo |
| code | String | Echo |
| clientTransactionID | String | Echo |
| serverTransactionID | String | Transaction id number generated by Paymentology |
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Status text indicating transaction result |
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>clientTransactionID</name>
<value>
<string>4857467</string>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>terminalID</name>
<value>
<string>0042128722</string>
</value>
</member>
<member>
<name>code</name>
<value>
<string>26842</string>
</value>
</member>
<member>
<name>customerReference</name>
<value>
<string>Tutuka Test</string>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
<member>
<name>serverTransactionID</name>
<value>
<string>A64AE3A5-155D-00FA-4D98033DCE299064</string>
</value>
</member>
<member>
<name>trackingNumber</name>
<value>
<string>687653400000962</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>
